package de.hsos.swa.ma.api.al;

import java.util.ArrayList;

import javax.inject.Inject;
/* import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.PUT;
import javax.ws.rs.DELETE; */
import javax.ws.rs.Path;
/* import javax.ws.rs.Produces;
import javax.ws.rs.Consumes;
import javax.ws.rs.core.MediaType; */

@Path("/mocktail")
public class Barkeeper implements ISearch, ICreate, IUpdate, IDelete{

    @Inject
    StorageTransport st;

    //@GET
    //@Produces (MediaType.APPLICATION_JSON)
    //@Path("/getrecipesall")
    public ArrayList<Mocktail> getRecipesAll() {
        ArrayList<Mocktail> mts = st.getRecipesAll();
        return mts;
    }

    /* @POST
    @Produces (MediaType.TEXT_PLAIN)
    @Consumes (MediaType.APPLICATION_JSON)
    @Path("/create") */
    public String createMocktail(Mocktail m) {
        System.out.println("action-create -> index: "+ m.id);
        if(this.st.addMocktail(m)) {
            return "Mocktail wurde erstellt.";
        }
        return "Mocktail konnte nicht erstellt werden.";
    }

    /* @PUT
    @Produces (MediaType.TEXT_PLAIN)
    @Consumes (MediaType.APPLICATION_JSON)
    @Path("/update") */
    public String updateMocktail(Mocktail m) {
        System.out.println("action-update -> index: "+ m.id);
        if(this.st.updateMocktail(m)) {
            return "Mocktail wurde geupdatet.";
        }
        return "Mocktail konnte nicht geupdatet werden...";
    }

    /* @DELETE
    @Consumes (MediaType.APPLICATION_JSON)
    @Path("/delete") */
    public String deleteMocktail(Mocktail m) {
        System.out.println("action-delete -> index: "+ m.id);
        if(this.st.deleteMocktail(m.id)){
            return "Mocktail wurde entfernt.";
        }
        return "Objekt konnte nicht entfernt werden...";
    }


}