package de.hsos.swa.ma.api.al;

import java.util.ArrayList;

//import javax.ws.rs.Path;

import javax.enterprise.context.ApplicationScoped;

@ApplicationScoped
//@Path("/mocktail/storage")
public class StorageTransport {

    //private Mocktail[] mocktails;
    private ArrayList<Mocktail> mocktails;

    public StorageTransport() {
        /*this.mocktails = new Mocktail[5];
        this.mocktails[0] = new Mocktail("caipi", "keineahnung", "ruehren");
        this.mocktails[1] = new Mocktail("caipi2", "keineahnung", "ruehren");
        this.mocktails[2] = new Mocktail("caipi3", "keineahnung", "ruehren");
        this.mocktails[3] = new Mocktail("caipi4", "keineahnung", "ruehren");
        this.mocktails[4] = new Mocktail("caipi5", "keineahnung", "ruehren");*/
        this.mocktails = new ArrayList<Mocktail>();
        this.mocktails.add(new Mocktail(0, "caipi", "keineahnung", "ruehren"));
        this.mocktails.add(new Mocktail(1, "caipi2", "keineahnung", "ruehren"));
        this.mocktails.add(new Mocktail(2, "caipi3", "keineahnung", "ruehren"));
        this.mocktails.add(new Mocktail(3, "caipi4", "keineahnung", "ruehren"));
        this.mocktails.add(new Mocktail(4, "caipi5", "keineahnung", "ruehren"));
    }

    public ArrayList<Mocktail> getRecipesAll() {
        return this.mocktails;
    }

    public boolean addMocktail(Mocktail m) {
        if(this.mocktails.add(m)){
            return true;
        }else {
            return false;
        }
    }

    public boolean updateMocktail(Mocktail m) {
        int index = -1;
        int i = 0;
        if(this.mocktails.isEmpty()){
            return false;
        }
        while(i < this.mocktails.size()) {
            if(this.mocktails.get(i).getId() == m.getId()){
                index = i;
            }
            i++;
        }
        if (index < 0){
            return false;
        }
        this.mocktails.get(index).setName(m.getName());
        this.mocktails.get(index).setIngredients(m.getIngredients());
        this.mocktails.get(index).setRecipe(m.getRecipe());
        return true;
    }

    public boolean deleteMocktail(long index) {
        System.out.println("Test... :D");
        return this.mocktails.remove(this.mocktails.get((int)index));
    }

}